Bug 197961 - "Show Passed/Failed/Error" should filter suites, not just test cases
"Show Passed/Failed/Error" should filter suites, not just test cases
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Test Runner
7.0
PC Linux
: P3 (vote)
: 7.0.1
Assigned To: Jesse Glick
issues@utilities
701patch1-verified
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 17:44 UTC by Jesse Glick
Modified: 2011-09-26 13:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-04-21 17:44:50 UTC
If I uncheck, say, "Show Passed" I expect to see only test suites (top-level nodes) with failing test cases, and only those test cases (subnodes) which failed. Instead the Test Results window shows all test suites, filtering only test cases.
Comment 1 Jesse Glick 2011-06-21 22:18:47 UTC
core-main #f36f6b2e8c6a
Comment 2 Quality Engineering 2011-06-22 14:04:18 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f36f6b2e8c6a
User: Jesse Glick <jglick@netbeans.org>
Log: #197961: "Show Passed/Failed/Error" should filter suites, not just test cases
Comment 3 Tomas Danek 2011-08-25 09:59:21 UTC
verified 

Product Version: NetBeans IDE Dev (Build 201108220601)
Java: 1.6.0_26; Java HotSpot(TM) 64-Bit Server VM 20.1-b02-384
System: Mac OS X version 10.6.8 running on x86_64; MacRoman; en_US (nb)
User directory: /Users/tomas/.netbeans/dev
Cache directory: /Users/tomas/.netbeans/dev/var/cache
Comment 4 Jesse Glick 2011-08-25 16:23:59 UTC
releases #a49afdb33fce
Comment 5 Quality Engineering 2011-08-26 04:27:18 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/a49afdb33fce
User: Jesse Glick <jglick@netbeans.org>
Log: #197961: "Show Passed/Failed/Error" should filter suites, not just test cases
(transplanted from f36f6b2e8c6a979982f81a345ba0fcd2375d87e7)
Comment 6 Quality Engineering 2011-09-26 13:32:06 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/16b60238b1ca
User: Jesse Glick <jglick@netbeans.org>
Log: #197961: "Show Passed/Failed/Error" should filter suites, not just test cases
(transplanted from f36f6b2e8c6a979982f81a345ba0fcd2375d87e7)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo